/**
 * @file types.h
 *
 * @brief Types and constants specific to Linux.
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: types.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef LINUX_TYPES_H
#define LINUX_TYPES_H

#include <netinet/in.h>
#include <sys/types.h>

/**
 * @brief Broadcast address.
 */
#define SP_BROADCAST_ADDR	INADDR_BROADCAST

/**
 * @brief Number of nodes in the network.
 *
 * TODO: Possibly get rid of this.
 */
#define SP_NUMBER_OF_NODES	100

/**
 * @brief Type of boolean variables.
 */
typedef u_int8_t bool;

/**
 * @brief Enumeration of boolean types.
 */
enum bool {false = 0, true = 1};

/**
 * @brief Type of the time.
 */
typedef double SP_time_t;

/**
 * @brief Type of the node address.
 */
typedef in_addr_t SP_addr_t;

#endif	// LINUX_TYPES_H
