/**
 * @file service_management.h
 *
 * @brief Service management (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: service_management.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef SERVICE_MANAGEMENT_H
#define SERVICE_MANAGEMENT_H

#include "../types.h"
#include "service_types.h"

SP_SERVICE_service_t* alloc_service(const char* service_id, size_t service_data_size);
void start_service(SP_SERVICE_service_t* service);
void stop_service(SP_SERVICE_service_t* service);
void free_service(SP_SERVICE_service_t* service);
void update_service_data(SP_SERVICE_service_t* service, u_int16_t offset, size_t size, const char* data);
SP_SERVICE_service_t* get_service(const char* service_id);
SP_SERVICE_service_t* get_active_service(const char* service_id);

#endif	// SERVICE_MANAGEMENT_H
