/**
 * @file service_replication.h
 *
 * @brief Service replication (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: service_replication.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef SERVICE_REPLICATION_H
#define SERVICE_REPLICATION_H

#include "../types.h"
#include "service_types.h"

void handle_SERVICE_REPLICATION_REQUEST(const SP_packet_header_t* header, const SP_SERVICE_REPLICATION_REQUEST_packet_t* request);
void handle_SERVICE_REPLICATION_DATA(const SP_packet_header_t* header, const SP_packet_payload_t* payload);
void handle_SERVICE_REPLICATION_ACK(const SP_packet_header_t* header, const SP_SERVICE_REPLICATION_ACK_packet_t* ack);
void handle_SERVICE_REPLICATION_NACK(const SP_packet_header_t* header, const SP_SERVICE_REPLICATION_NACK_packet_t* nack);
void replicate_service(SP_SERVICE_service_t* service_id, SP_addr_t to, SP_callback_function_t callback, SP_SERVICE_replication_result_t* result);
void migrate_service(SP_SERVICE_service_t* service_id, SP_addr_t to, SP_callback_function_t callback, SP_SERVICE_migration_result_t* result);

#endif	// SERVICE_REPLICATION_H
