/**
 * @file slp-light.h
 *
 * @brief Service Location Protocol (SLP) - minimal implemenation (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: slp-light.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef SLP_LIGHT_H
#define SLP_LIGHT_H

#include "../types.h"
#include "slp-light_types.h"

// Interface to main module.
void SLP_init();
void SLP_start();
void SLP_stop();
void SLP_finalize();
void SLP_recv(const SP_packet_header_t* header, const SP_packet_payload_t* payload);
bool SLP_command(int argc, const char*const* argv);

// Interface provided by this module.
void SLP_locate_service(const char* service_id, unsigned int min_service_instances, SP_callback_function_t callback, SP_SLP_query_result_t* query_result);

#endif	// SLP_LIGHT_H
