/**
 * @file slp-light_vars.h
 *
 * @brief Service Location Protocol (SLP) - minimal implemenation (variables).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: slp-light_vars.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef SLP_LIGHT_VARS_H
#define SLP_LIGHT_VARS_H

#include "../types.h"
#include "slp-light_types.h"

/**
 * @brief List of currently active SLP queries.
 */
SP_list_t* SP_SLP_active_queries;

/**
 * @brief Statistics counter of total queries.
 */
u_int32_t SP_SLP_total_queries;

/**
 * @brief Statistics counter of successful queries.
 */
u_int32_t SP_SLP_successful_queries;

/**
 * @brief Statistics counter of failed queries.
 */
u_int32_t SP_SLP_failed_queries;

#endif	// SLP_LIGHT_VARS_H
