/**
 * @file list.h
 *
 * @brief List functions (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: list.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef UTIL_LIST_H
#define UTIL_LIST_H

#include "../types.h"

void list_alloc(SP_list_t** list);
void list_free(SP_list_t* list);
void list_add(SP_list_t* list, void* data);
void list_insert_where(SP_list_t* list, void* data, bool(*matches)(const void*, const void*));
void list_remove(SP_list_t* list, const void* data);
bool list_contains(const SP_list_t* list, const void* data);
void* list_get(const SP_list_t* list, unsigned int index);
unsigned int list_size(const SP_list_t* list);
bool list_empty(const SP_list_t* list);
void* list_head(const SP_list_t* list);
void* list_tail(const SP_list_t* list);
void* list_find(const SP_list_t* list, const void* data, bool(*matches)(const void*, const void*));

#endif	// UTIL_LIST_H
