/**
 * @file net.h
 *
 * @brief Network utility functions (header).
 *
 * Copyright 2007-2008, Freie Universitaet Berlin. All rights reserved.
 * Please refer to the COPYING file for detailed licensing information.
 *
 * @author Georg Wittenburg
 *
 * $Id: net.h 2548 2008-02-13 19:20:58Z wittenbu $
 */

#ifndef UTIL_NET_H
#define UTIL_NET_H

#include "../types.h"

char* addr_to_str(SP_addr_t addr);
SP_addr_t random_node_addr();
void init_header(SP_packet_header_t* header);
void forward(const SP_packet_header_t* header, const SP_packet_payload_t* payload);
bool check_for_duplicate(const SP_packet_header_t* header);
void add_node_to_network_map(SP_addr_t address, u_int8_t hops, SP_addr_t last_hop);
void calculate_network_statistics();

#endif	// UTIL_NET_H
